CVE-2020-6860

NameCVE-2020-6860
Descriptionlibmysofa 0.9.1 has a stack-based buffer overflow in readDataVar in hdf/dataobject.c during the reading of a header message attribute.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs949325

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libmysofa (PTS)buster0.6~dfsg0-3+deb10u1vulnerable
bullseye, sid1.0~dfsg0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libmysofasource(unstable)1.0~dfsg0-1949325

Notes

[buster] - libmysofa <no-dsa> (Minor issue)
https://github.com/hoene/libmysofa/issues/96
https://github.com/hoene/libmysofa/commit/c31120a4ddfe3fc705cfdd74da7e884e1866da85

Search for package or bug name: Reporting problems